%define upstream_name    Throwable
%define upstream_version 0.200003

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    An easy-to-use class for error objects
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Throwable/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Load) >= 0.200.0
BuildRequires: perl(Devel::StackTrace) >= 1.210.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moo) >= 1.0.1
BuildRequires: perl(Moo::Role)
BuildRequires: perl(MooX::Types::MooseLike::Base)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Quote)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

Requires:   perl(Devel::StackTrace)
%description
Throwable is a role for classes that are meant to be thrown as exceptions
to standard program flow. It is very simple and does only two things: saves
any previous value for '$@' and calls 'die $self'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.200.3-2.mga3
+ Revision: 374276
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 0.200.3-1.mga3
+ Revision: 315914
- update to 0.200003

* Fri Jan 21 2011 jquelin <jquelin> 0.102.80-1.mga1
+ Revision: 28863
- mageia rebuild
- imported package perl-Throwable

